Clear a model's pending jobs
curl --request POST \
--url https://api.together.ai/v1/queue/clear \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>"
}
'import requests
url = "https://api.together.ai/v1/queue/clear"
payload = { "model": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: '<string>'})
};
fetch('https://api.together.ai/v1/queue/clear', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"canceled_count": 123
}{
"code": "<string>",
"message": "<string>",
"param": "<string>",
"type": "<string>"
}{
"code": "<string>",
"message": "<string>",
"param": "<string>",
"type": "<string>"
}{
"code": "<string>",
"message": "<string>",
"param": "<string>",
"type": "<string>"
}Queue
Clear a model's pending jobs
Cancel all pending jobs for the given model. Running jobs are left untouched. Returns the number of jobs that were canceled.
POST
/
queue
/
clear
Clear a model's pending jobs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Clear request
Request to clear pending jobs for a model.
Model identifier whose pending jobs should be canceled
Response
Pending jobs canceled
Count of pending jobs canceled by the clear operation.
Number of pending jobs that were canceled
Was this page helpful?
⌘I